View 連線伺服器升級程序有特定需求和限制。

  • View 連線伺服器需要此最新版本適用的有效授權金鑰。

  • 用來安裝新版 View 連線伺服器的網域使用者帳戶必須在 View 連線伺服器主機上擁有管理權限。View 連線伺服器管理員必須擁有 vCenter Server 的管理認證。

  • 當您執行安裝程式時,會授權 View Administrators 帳戶。您可以指定本機管理員群組或是網域使用者或群組帳戶。View 僅會將完整的 View 管理權限 (包括安裝複寫 View 連線伺服器執行個體的權限) 指定給這個帳戶。如果您指定網域使用者或群組,則必須先在 Active Directory 中建立帳戶,再執行安裝程式。

  • 備份 View 連線伺服器時,會將 View LDAP 組態匯出為加密的 LDIF 資料。若要復原加密的備份 View 組態,必須提供資料復原密碼。密碼必須包含 1 至 128 個字元。

安全性相關需求

  • View 連線伺服器需要由 CA (憑證授權單位) 簽署的 SSL 憑證且可供用戶端驗證。安裝 View 連線伺服器時,雖然在沒有 CA 簽署憑證的情況下會產生預設自我簽署憑證,但您必須盡快取代預設自我簽署憑證。自我簽署憑證會在 View Administrator 中顯示為無效。

    此外,更新後的用戶端會需要伺服器憑證的相關資訊,以做為用戶端和伺服器之間 SSL 信號交換的一部分進行通訊。更新後的用戶端通常不信任自我簽署憑證。

    如需安全憑證需求的完整資訊,請參閱View 安裝》指南中的〈設定 View Server 的 SSL 憑證〉。另請參閱《設定與 View 的 SSL 連線的案例》文件,其中說明了設定執行負載平衡及卸載 SSL 連線等工作的中繼伺服器。

    備註︰

    如果原始伺服器已經有 CA 簽署的 SSL 憑證,在升級期間,View 會將現有 CA 簽署憑證匯入到 Windows Server 憑證存放區中。

  • vCenter Server、View Composer 和 View 伺服器的憑證必須包含憑證撤銷清單 (CRL)。如需詳細資訊,請參閱View 安裝》指南中的〈針對伺服器憑證設定憑證撤銷檢查〉。

    重要事項︰

    如果貴公司使用 Proxy 設定來存取網際網路,您可能必須設定 View 連線伺服器主機使用 Proxy。此步驟可確保伺服器能夠存取網際網路上的憑證撤銷檢查網站。您可以使用 Microsoft Netshell 命令,將 Proxy 設定匯入 View 連線伺服器。如需詳細資訊,請參閱View 管理》指南中的〈對 View Server 憑證撤銷檢查進行疑難排解〉。

  • 如果您打算將安全伺服器與此 View 連線伺服器執行個體配對,請確定使用中設定檔中的「具有進階安全性的 Windows 防火牆」設為開啟。建議您將所有設定檔的這個設定設為開啟。根據預設,IPsec 規則控管安全伺服器與 View 連線伺服器之間的連線,而且必須啟用「具有進階安全性的 Windows 防火牆」。

  • 如果您網路拓撲中的安全伺服器和 View 連線伺服器執行個體之間包含防火牆,則必須設定防火牆以支援 IPsec。請參閱View 安裝》說明文件。

  • 您可能需要進行安全通訊協定組態變更,才能繼續與 vSphere 相容。如果可能,請先對 ESXi 和 vCenter Server 套用修補程式以支援 TLSv1.1 和 TLSv1.2,然後再升級 View 連線伺服器。如果您無法套用修補程式,請先在 View 連線伺服器上重新啟用 TLSv1.0 再進行升級。如需詳細資訊,請參閱 在從連線伺服器連往 vCenter 的連線上啟用 TLSv1.0

  • 若您使用 Horizon 7 伺服器搭配 View Agent 6.2 之前的版本,則您將需要啟用 PCoIP 連線的 TLSv1.0。6.2 之前版本的 View Agent 僅針對 PCoIP 支援安全性通訊協定 TLSv1.0。Horizon 7 伺服器 (包含連線伺服器和安全伺服器) 皆會依預設停用 TLSv1.0。您可以在這些伺服器上為 PCoIP 連線啟用 TLSv1.0,方法是遵循 VMware 知識庫 (網址 http://kb.vmware.com/kb/2130798) 中的指示。

如果您打算在其他實體或虛擬機器上全新安裝 View 連線伺服器執行個體,請參閱View 安裝》文件中的完整安裝需求清單。